<!DOCTYPE html>
<html lang="en">
  <head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script>
        $(document).ready(function(){
          $("viewbtn").click(function(){
            $.ajax({url: "demo_test.txt", success: function(result){
              $("#div1").html(result);
            }});
          });
        });
    </script>
    <meta charset="UTF-8" />
    <title>Note</title>
    <style>
        .styled-table {
            border-collapse: collapse;
            margin: 25px 0;
            font-size: 0.9em;
            font-family: sans-serif;
            min-width: 400px;
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
        }
        .styled-table thead tr {
            background-color: #0da2FF;
            color: #ffffff;
            text-align: left;
        }
        .styled-table th,
        .styled-table td {
            padding: 12px 15px;
        }
        .styled-table tbody tr {
            border-bottom: thin solid #dddddd;
        }

        .styled-table tbody tr:nth-of-type(even) {
            background-color: #f3f3f3;
        }

        .styled-table tbody tr:last-of-type {
            border-bottom: 2px solid #0da2FF;
        }
        .modal{
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.4);
            position: absolute;
            top: 0;
            display: flex;
            justify-content: center;
            align-content: center;
            align-items: center;
        }
        .modal-content{
            width: 500px;
            height: 300px;
            background-color: white;
            border-radius: 4px;
        }
        .close {
            color: #aaaaaa;
            float: right;
            font-size: 28px;
            font-weight: bold;
        }

        .close:hover,
        .close:focus {
            color: #000;
            text-decoration: none;
            cursor: pointer;
        }
     </style>
  </head>
  <body>
    <table class="styled-table">
        <thead>
            <tr>
                <th>To</th>
                <th>From</th>
                <th>Title</th>
                <th>Message</th>
                <th>Action</th>
            </tr>
        </thead>
      {% for note in notes %}
      <tr >
        <td> {{ note.To }} </td>
        <td> {{ note.From }} </td>
        <td> {{ note.Title }} </td>
        <td> {{ note.Message }} </td>
        <td><button class="viewbtn">View</button> 
            <button class="editbtn">Edit</button> 
            <button class="editbtn">Delete</button>
        </td>
      </tr>
      {% endfor %}
    </table>
    <div id="myModal" class="modal">

        <!-- Modal content -->
        <div class="modal-content">
          <span class="close">&times;</span>
          <p>Some text in the Modal..</p>
        </div>
      
      </div>
  </body>
</html>
